- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# mpi_message Struct Reference

`#include <mpi.h>`

Collaboration diagram for mpi_message:

[legend]

## Data Fields
char | data [248]
uInt32 | header
mpi_message * | next
pidType | pid

## Detailed Description

Definition at line 38 of file mpi.h.

## Field Documentation

char mpi_message::data[248]

Definition at line 39 of file mpi.h.

Referenced by mpi_fetchMessage(), mpi_postMessage(), mpi_spam(), and systemTask().

uInt32 mpi_message::header

Definition at line 40 of file mpi.h.

Referenced by mpi_fetchMessage(), mpi_postMessage(), mpi_spam(), systemTask(), and ubixfs_thread().

struct mpi_message* mpi_message::next

Definition at line 42 of file mpi.h.

Referenced by mpi_fetchMessage(), mpi_postMessage(), and mpi_spam().

pidType mpi_message::pid

Definition at line 41 of file mpi.h.

Referenced by mpi_fetchMessage(), mpi_postMessage(), and systemTask().

The documentation for this struct was generated from the following file:

- src/sys/include/mpi/mpi.h